# Approve an Expense Report Submission

You can approve an Expense Report Submission by accessing the approve endpoint

This endpoint returns structured Resolution objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the results array
and will be indexed by ID in the resolutions top-level JSON key.
Please see our Response Format section for more information.

Endpoint: PUT /expense_report_submissions/{id}/approve
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Request fields (application/json):

  - `resolution` (object)

  - `resolution.description` (string)
    Any additional details about the resolution can be added in the description.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

  - `resolutions` (object)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)


